const rs = require('./src/util/restricted-syntax');

module.exports = {
  extends: [require.resolve('./src/base'), 'plugin:node/recommended'],

  env: {
    node: true,
  },

  rules: {
    // require all requires be top-level
    // https://eslint.org/docs/rules/global-require
    'global-require': 0,

    'import/no-commonjs': 0,

    'node/no-missing-import': 0,
    'node/no-unsupported-features/es-syntax': 0,
    'node/no-unpublished-require': 0,

    'no-process-exit': 0,
    'node/no-process-exit': 0,

    // restricted-syntax rules
    ...rs.packNodeRsr(),
  },
};
